//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Diagnostics;
using System.Net;
using System.IO;
using System.Windows.Forms;
using System.Drawing;
using System.Drawing.Imaging;
using System.Runtime.InteropServices;

using nispi.controlclass;

namespace nispi
{
    class MapInfoMain
    {
        //public PanelParts panelInfoParts;
        public PanelParts panelMainParts;
        //public PanelParts panelMapParts;

        public LabelParts labelInfoParts;

        public TextBoxParts textInfomationParts;

        public MapInfoMain()
        {
            panelMainParts = PanelPartsManager.Pop();
            panelMainParts.Size = new Size(100, 100);
            panelMainParts.Set_BorderStyle_FixedSingle();

           /* panelInfoParts = PanelPartsManager.Pop();
            panelInfoParts.Location = new Point(1, 1);
            panelInfoParts.Size = new Size(98,24);
            panelInfoParts.BackColor = Color.LightGray;*/

            labelInfoParts = LabelPartsManager.Pop();
            labelInfoParts.Location = new Point(2, 1);
            labelInfoParts.Size = new Size(98, 22);
            //labelInfoParts.BackColor = Color.LightGray;
            labelInfoParts.Text = "国名";

            textInfomationParts = TextBoxPartsManager.Pop();
            textInfomationParts.Location = new Point(1, 25);
            textInfomationParts.Multiline = true;
            textInfomationParts.Name = "textInfomation";
            textInfomationParts.Size = new Size(98, 74);
            textInfomationParts.Text = "test";

            //Const.mapForm.subMainSplitContainerParts.AddToPanel2(panelMainParts);
            //panelInfoParts.AddControl(labelInfoParts);
            panelMainParts.AddControl(labelInfoParts);
            panelMainParts.AddControl(textInfomationParts);
        }


    }
}